- Qt 6.4
- Qt WebEngine
- C++ Classes
- QtWebEngineCore
- QWebEngineClientCertificateSelection
- Qt 6.4.3 Reference Documentation

# QWebEngineClientCertificateSelection Class

The QWebEngineClientCertSelection class wraps a client certificate selection. More...

Header: | #include <QWebEngineClientCertificateSelection>
CMake: | find_package(Qt6 REQUIRED COMPONENTS WebEngineCore) target_link_libraries(mytarget PRIVATE Qt6::WebEngineCore)
qmake: | QT += webenginecore
Since: | Qt 5.12

- List of all members, including inherited members

## Public Functions

QList<QSslCertificate> | certificates() const
QUrl | host() const
void | select(const QSslCertificate &certificate)
void | selectNone()

## Detailed Description

When a web site requests an SSL client certificate, and one or more certificates are found in the system's client certificate store, this class provides access to the certificates to choose from, as well as a method for selecting one.

The selection is asynchronous. If no certificate is selected and no copy of the object is kept alive, loading will continue without a certificate.

See also QWebEnginePage::selectClientCertificate().

## Member Function Documentation

### QList<QSslCertificate> QWebEngineClientCertificateSelection::certificates() const

Returns the client certificates available to choose from.

See also select().

### QUrl QWebEngineClientCertificateSelection::host() const

Returns the host and port of the server requesting the client certificate.

### void QWebEngineClientCertificateSelection::select(const QSslCertificate &certificate)

Selects the client certificate certificate. The certificate must be one of those offered in certificates().

See also certificates() and selectNone().

### void QWebEngineClientCertificateSelection::selectNone()

Continue without using any of the offered certificates. This is the same action as taken when destroying the last copy of this object if no selection has been made.

See also select().